[51820] users/ryandesign/no_default_gcc

ryandesign at macports.org ryandesign at macports.org
Wed Jun 3 22:40:11 PDT 2009


Revision: 51820
          http://trac.macports.org/changeset/51820
Author:   ryandesign at macports.org
Date:     2009-06-03 22:40:11 -0700 (Wed, 03 Jun 2009)
Log Message:
-----------
no_default_gcc: add script and symlinks

Added Paths:
-----------
    users/ryandesign/no_default_gcc/c++
    users/ryandesign/no_default_gcc/cc
    users/ryandesign/no_default_gcc/cpp
    users/ryandesign/no_default_gcc/g++
    users/ryandesign/no_default_gcc/gcc

Added: users/ryandesign/no_default_gcc/c++
===================================================================
--- users/ryandesign/no_default_gcc/c++	                        (rev 0)
+++ users/ryandesign/no_default_gcc/c++	2009-06-04 05:40:11 UTC (rev 51820)
@@ -0,0 +1 @@
+link cc
\ No newline at end of file


Property changes on: users/ryandesign/no_default_gcc/c++
___________________________________________________________________
Added: svn:special
   + *

Added: users/ryandesign/no_default_gcc/cc
===================================================================
--- users/ryandesign/no_default_gcc/cc	                        (rev 0)
+++ users/ryandesign/no_default_gcc/cc	2009-06-04 05:40:11 UTC (rev 51820)
@@ -0,0 +1,20 @@
+#!/bin/bash
+# $Id$
+
+PROG=$(basename "$0")
+case "$PROG" in
+	cc)
+		NEWPROG=gcc
+		;;
+	c++)
+		NEWPROG=g++
+		;;
+	*)
+		NEWPROG="$PROG"
+		;;
+esac
+
+echo "Error: You tried to use $PROG instead of /usr/bin/$NEWPROG-*:" 1>&2
+echo "$PROG $@" 1>&2
+echo "See http://trac.macports.org/wiki/UsingTheRightCompiler" 1>&2
+exit 1


Property changes on: users/ryandesign/no_default_gcc/cc
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:keywords
   + Id
Added: svn:eol-style
   + native

Added: users/ryandesign/no_default_gcc/cpp
===================================================================
--- users/ryandesign/no_default_gcc/cpp	                        (rev 0)
+++ users/ryandesign/no_default_gcc/cpp	2009-06-04 05:40:11 UTC (rev 51820)
@@ -0,0 +1 @@
+link cc
\ No newline at end of file


Property changes on: users/ryandesign/no_default_gcc/cpp
___________________________________________________________________
Added: svn:special
   + *

Added: users/ryandesign/no_default_gcc/g++
===================================================================
--- users/ryandesign/no_default_gcc/g++	                        (rev 0)
+++ users/ryandesign/no_default_gcc/g++	2009-06-04 05:40:11 UTC (rev 51820)
@@ -0,0 +1 @@
+link cc
\ No newline at end of file


Property changes on: users/ryandesign/no_default_gcc/g++
___________________________________________________________________
Added: svn:special
   + *

Added: users/ryandesign/no_default_gcc/gcc
===================================================================
--- users/ryandesign/no_default_gcc/gcc	                        (rev 0)
+++ users/ryandesign/no_default_gcc/gcc	2009-06-04 05:40:11 UTC (rev 51820)
@@ -0,0 +1 @@
+link cc
\ No newline at end of file


Property changes on: users/ryandesign/no_default_gcc/gcc
___________________________________________________________________
Added: svn:special
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20090603/24f2b0e3/attachment.html>


More information about the macports-changes mailing list